summaryrefslogtreecommitdiffstats
path: root/games/xarchon/xarchon.SlackBuild
diff options
context:
space:
mode:
author B. Watson2016-08-12 18:24:58 +0200
committer Willy Sudiarto Raharjo2016-08-12 18:24:58 +0200
commitcf097d5fa6ec1829ecb9933568518736698acc99 (patch)
tree35f1df9ddc18626554b25d60dc1127bff44a7dcf /games/xarchon/xarchon.SlackBuild
parentfd81ce18f55827c8461ec7bca7203795451e7e7e (diff)
downloadslackbuilds-cf097d5fa6ec1829ecb9933568518736698acc99.tar.gz
games/xarchon: Added (fantasy-themed board game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/xarchon/xarchon.SlackBuild')
-rw-r--r--games/xarchon/xarchon.SlackBuild133
1 files changed, 133 insertions, 0 deletions
diff --git a/games/xarchon/xarchon.SlackBuild b/games/xarchon/xarchon.SlackBuild
new file mode 100644
index 0000000000..c8f3c27bb9
--- /dev/null
+++ b/games/xarchon/xarchon.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for xarchon
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# note: xarchon plays Archon and Archon II: Adept. I can't tell if the
+# Adept game is complete or correct, because I never could understand
+# how to play it, even as a video-game-obsessed kid in the 1980s.
+
+PRGNAM=xarchon
+VERSION=${VERSION:-0.60}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# hammer old C++ code into building on gcc-5.3, plus autoconf fixes
+# to get qt3 detected & linked properly.
+patch -p1 < $CWD/patches/compilefix.diff
+
+# theoretically xarchon can be built with gtk+-1.x, but it requires an
+# ancient gtk1-compatible version of glade... plus the gtk1 stuff won't
+# compile under gcc-5.3. went through the trouble of patching the qt UI,
+# so we don't bother with gtk1.
+patch -p1 < $CWD/patches/remove_gtk.diff
+
+# stop the GUI from getting stuck in Configure Players, when no joysticks
+# are plugged in. Without the patch, it continually complains "Joystick
+# not available" and won't allow saving the settings, even if joystick
+# control isn't selected. With the patch, it still complains, but only
+# once (per human player), then it saves the settings and exits Configure
+# Players correctly.
+patch -p1 < $CWD/patches/joystick.diff
+
+# remove "Select Theme" from the menu. it's unimplemented, plus there
+# aren't any themes to choose (just the default one).
+patch -p1 < $CWD/patches/remove_theme_option.diff
+
+# add warning to the man page about the GUI section being outdated,
+# remove mention of selecting themes.
+patch -p1 < $CWD/patches/manpage.diff
+
+# configure script is from 2002, no thank you.
+rm -f configure
+autoreconf -if
+
+# don't rely on /etc/profile.d/qt.sh being executable.
+export QTDIR=/opt/kde3/lib64/qt3
+export PATH=$QTDIR/bin:$PATH
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -fpermissive" \
+./configure \
+ --with-default-qt \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --datadir=/usr/share/games/ \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man6/$PRGNAM.6
+
+# default to mouse control, not joystick. note that keyboard control is
+# always active, regardless of this setting. also by default player 2
+# is the AI. this allows people to quickly fire up a single-player game
+# (the most common case) without going through the config menu. this
+# just changes the default; users can change it as desired.
+cat $CWD/$PRGNAM.default > $PKG/usr/share/games/$PRGNAM/$PRGNAM.default
+
+# .desktop written for this build.
+mkdir -p $PKG/usr/share/pixmaps $PKG/usr/share/applications
+ln -s ../games/$PRGNAM/icon.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}